Пакет java.security.spec
Спецификация ключа — это прозрачное представление материала ключа, из которого состоит ключ. Ключ может быть задан способом, зависящим от алгоритма, или в формате кодирования, не зависящем от алгоритма (например, ASN.1). Этот пакет содержит спецификации ключей для открытых и закрытых ключей DSA и RSA, закрытых ключей PKCS #8 в формате DER-кодирования, а также открытых и закрытых ключей X.509 в формате DER-кодирования.
Спецификация параметров алгоритма — это прозрачное представление наборов параметров, используемых с алгоритмом. Этот пакет содержит спецификацию параметров алгоритма для параметров, используемых с алгоритмом DSA.
Спецификация пакета
- PKCS #1: спецификации криптографии RSA, версия 2.2 (RFC 8017)
- PKCS #8: стандарт синтаксиса информации о закрытом ключе, версия 1.2, ноябрь 1993 г.
- Публикация федеральных стандартов обработки информации (FIPS PUB) 186: стандарт цифровой подписи (DSS)
Связанная документация
Документацию, содержащую сведения о спецификациях параметров алгоритмов и ключей, см. в следующих источниках:- Начиная с:
- 1.2
| Класс | Описание |
|---|---|
| AlgorithmParameterSpec | Спецификация (прозрачная) криптографических параметров. |
| DSAGenParameterSpec | Этот неизменяемый класс задаёт набор параметров, используемых для генерации параметров DSA, как определено в стандарте цифровой подписи (DSS) FIPS 186-3. |
| DSAParameterSpec | Этот класс задаёт набор параметров, используемых с алгоритмом DSA. |
| DSAPrivateKeySpec | Этот класс задаёт закрытый ключ DSA с соответствующими параметрами. |
| DSAPublicKeySpec | Этот класс задаёт открытый ключ DSA с соответствующими параметрами. |
| ECField | Этот интерфейс представляет конечное поле эллиптической кривой (EC). |
| ECFieldF2m | Этот неизменяемый класс определяет конечное поле характеристики 2 эллиптической кривой (EC). |
| ECFieldFp | Этот неизменяемый класс определяет простое конечное поле эллиптической кривой (EC). |
| ECGenParameterSpec | Этот неизменяемый класс задаёт набор параметров, используемых для генерации доменных параметров эллиптической кривой (EC). |
| ECParameterSpec | Этот неизменяемый класс задаёт набор доменных параметров, используемых в криптографии на эллиптических кривых (ECC). |
| ECPoint | Этот неизменяемый класс представляет точку на эллиптической кривой (EC) в аффинных координатах. |
| ECPrivateKeySpec | Этот неизменяемый класс задаёт закрытый ключ эллиптической кривой с соответствующими параметрами. |
| ECPublicKeySpec | Этот неизменяемый класс задаёт открытый ключ эллиптической кривой с соответствующими параметрами. |
| EdDSAParameterSpec | Класс для задания параметров подписи и проверки EdDSA. |
| EdECPoint | Точка эллиптической кривой, используемая для задания ключей в соответствии с RFC 8032: алгоритм цифровой подписи на кривых Эдвардса (EdDSA). |
| EdECPrivateKeySpec | Класс, представляющий закрытые ключи эллиптической кривой, определённые в RFC 8032: алгоритм цифровой подписи на кривых Эдвардса (EdDSA), включая кривую и другие параметры алгоритма. |
| EdECPublicKeySpec | Класс, представляющий открытые ключи эллиптической кривой, определённые в RFC 8032: алгоритм цифровой подписи на кривых Эдвардса (EdDSA), включая кривую и другие параметры алгоритма. |
| EllipticCurve | Этот неизменяемый класс содержит необходимые значения для представления эллиптической кривой. |
| EncodedKeySpec | Этот класс представляет открытый или закрытый ключ в закодированном формате. |
| InvalidKeySpecException | Исключение, возникающее при недопустимой спецификации ключа. |
| InvalidParameterSpecException | Исключение, возникающее при недопустимой спецификации параметров. |
| KeySpec | Спецификация (прозрачная) материала ключа, из которого состоит криптографический ключ. |
| MGF1ParameterSpec | Этот класс задаёт набор параметров, используемых с функцией генерации маски MGF1 в схеме дополнения OAEP и схеме подписи RSASSA-PSS, определённой в стандарте PKCS#1 v2.2. |
| NamedParameterSpec | Этот класс используется для задания параметров любого алгоритма, определяемых стандартным именем. |
| PKCS8EncodedKeySpec | Этот класс представляет кодирование закрытого ключа ASN.1, выполненное в соответствии с типом ASN.1 OneAsymmetricKey. |
| PSSParameterSpec | Этот класс задаёт спецификацию параметров для схемы подписи RSASSA-PSS, определённой в стандарте PKCS#1 v2.2. |
| RSAKeyGenParameterSpec | Этот класс задаёт набор параметров, используемых для генерации пары ключей RSA. |
| RSAMultiPrimePrivateCrtKeySpec | Этот класс задаёт закрытый ключ RSA с несколькими простыми множителями, определённый в стандарте PKCS#1 v2.2 и использующий значения теоремы об остатках китайцев (CRT) для повышения эффективности. |
| RSAOtherPrimeInfo | Этот класс представляет тройку (простое число, показатель степени и коэффициент) внутри структуры RSA OtherPrimeInfo, определённой в стандарте PKCS#1 v2.2. |
| RSAPrivateCrtKeySpec | Этот класс задаёт закрытый ключ RSA, определённый в стандарте PKCS#1 v2.2 и использующий значения теоремы об остатках китайцев (CRT) для повышения эффективности. |
| RSAPrivateKeySpec | Этот класс задаёт закрытый ключ RSA. |
| RSAPublicKeySpec | Этот класс задаёт открытый ключ RSA. |
| X509EncodedKeySpec | Этот класс представляет кодирование открытого ключа ASN.1, выполненное в соответствии с типом ASN.1 SubjectPublicKeyInfo. |
| XECPrivateKeySpec | Класс, представляющий закрытые ключи эллиптической кривой, определённые в RFC 7748, включая кривую и другие параметры алгоритма. |
| XECPublicKeySpec | Класс, представляющий открытые ключи эллиптической кривой, определённые в RFC 7748, включая кривую и другие параметры алгоритма. |
© 1993, 2025, Oracle and/or its affiliates. All rights reserved.
Documentation extracted from Debian's OpenJDK Development Kit package.
Licensed under the GNU General Public License, version 2, with the Classpath Exception.
Various third party code in OpenJDK is licensed under different licenses (see Debian package).
Java and OpenJDK are trademarks or registered trademarks of Oracle and/or its affiliates.
https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/security/spec/package-summary.html